package fr.mael.jiwigo.service;

import java.io.IOException;
import java.util.Date;

import junit.framework.Assert;

import org.junit.Test;

import fr.mael.jiwigo.TestBase;
import fr.mael.jiwigo.dao.CategoryDao;

public class CategoryServiceTest extends TestBase {
    public CategoryServiceTest() {
	super();
    }

    /**
     *  Test of the listing method
     */
    @Test
    public void ListerTest() {
	try {
	    CategoryDao.getInstance().lister(true);
	    CategoryDao.getInstance().lister(false);
	} catch (IOException e) {
	    e.printStackTrace();
	}
    }

    /**
     * Test of the creation method
     */
    @Test
    public void creerTest() {
	Date date = new Date();
	Assert.assertSame(true, CategoryService.getInstance().creer("Category" + date.getTime()));
    }

}
